#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

constexpr const long double PI = acos(-1.0l);

double expand_32bit(double t) {
    const double a = -1.0;
    const double b = +1.0;
    const double c = -32768;
    const double d = 32767;
    return c + (d - c)/(b - a) * (t - a);
}

double ft(double t, double f) {
    return fmod(2*PI*t*f/44100.0 + PI, 2*PI) - PI;
}

double sin_wave(double x) { return sin(x); }
double square_wave(double x) { return 0 <= x ? 1 : -1; }
double sawtooth_wave(double x) { return x / PI; }
double triangle_wave(double x) {
    if (x < 0) { return -triangle_wave(-x); }
    if (x < PI/2) { return 2.0*x/PI; }
    return 1 - 2.0*(x - PI/2.0)/PI;
}

int main() {
    cin.tie(0);
    ios_base::sync_with_stdio(0);

    char c;
    cin >> c;

    double f;
    cin >> f;

    double a, b;
    cin >> a >> b;

    function<double(double)> fx;
    switch (c) {
        case 'S': fx = sin_wave; break;
        case 'Q': fx = square_wave; break;
        case 'W': fx = sawtooth_wave; break;
        case 'T': fx = triangle_wave; break;
    }

    for (int t = a; t < b; t++) {
        cout << int(round(expand_32bit(fx(ft(t, f))))) << "\n";
    }
}
